* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
body {
  background-color: rgb(230, 223, 215);
}
main {
  display: grid;
  place-items: center;
  padding: 20px;
  margin: 20px;
  position: relative;
  min-height: 100vh;
}
input {
  margin: 10px;
  padding: 5px;
  width: 190px;
  text-align: right;
  color: green;
  font-size: 1rem;
}
h1 {
  font-size: 2.3rem;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  text-align: center;
}
.calculator {
  padding: 5px;
  padding-bottom: 25px;
  background-color: #212529;
  margin: 10px;
  border-radius: 10px;
}
@media screen and (max-width: 347px) {
  .calculator {
    width: 274px;
  }
}
.container-one {
  display: grid;
  grid-template-columns: 0.7fr 0.25fr;
}
.container-two {
  display: grid;
  grid-template-rows: repeat(5, 1fr);
}

/* buttons */
button {
  padding: 10px;
  margin: 5px;
  font-size: 1.5rem;
  cursor: pointer;
  min-width: 53px;
  border-radius: 50%;
  border: none;
  background-color: #343a40;
  color: white;
}
.backspace {
  background-color: transparent;
  color: green;
  padding-left: 10px;
}
button:hover {
  background-color: rgb(25, 25, 25);
}
button:active {
  transform: translateY(3px);
}
.red {
  color: red;
}
.green {
  color: green;
}
.black {
  background-color: green;
}
.black:hover {
  color: green;
}

/* footer */

footer {
  text-align: center;
  padding: 10px 10px 20px 10px;
  margin-top: 20px;
  position: absolute;
  bottom: 0;
  height: 2.5rem;
}
.footer-container {
  font-size: 1rem;
  text-transform: capitalize;
  letter-spacing: 2px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  padding-bottom: 20px;
}
